<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref4.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::PTree::Display::print_encoded&#40;List*&#41; - Synopsis::PTree::Encoding</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::PTree::Display::print_encoded&#40;List*&#41; - Synopsis::PTree::Encoding</h1><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mprint_encoded_lList_S_r" /><h2 >Member function Synopsis::PTree::Display::print_encoded&#40;List*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#print_encoded_lList_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#40">Synopsis/PTree/Display.hh:40</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#34">Synopsis/PTree/Display.hh:34</a>: in member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lDeclarator_S_r" >Synopsis::PTree::Display::visit&#40;Declarator*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#35">Synopsis/PTree/Display.hh:35</a>: in member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lName_S_r" >Synopsis::PTree::Display::visit&#40;Name*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#36">Synopsis/PTree/Display.hh:36</a>: in member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lFstyleCastExpr_S_r" >Synopsis::PTree::Display::visit&#40;FstyleCastExpr*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mtoo_deep_l_r" /><h2 >Member function Synopsis::PTree::Display::too_deep&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#too_deep_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#39">Synopsis/PTree/Display.hh:39</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mvisit_lAtom_S_r" /><h2 >Member function Synopsis::PTree::Display::visit&#40;Atom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#visit_lAtom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#26">Synopsis/PTree/Display.hh:26</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#32">Synopsis/PTree/Display.hh:32</a>: in member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lBlock_S_r" >Synopsis::PTree::Display::visit&#40;Block*&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#33">Synopsis/PTree/Display.hh:33</a>: in member function <a href="../Scopes/Synopsis/PTree/Display.html#visit_lClassBody_S_r" >Synopsis::PTree::Display::visit&#40;ClassBody*&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mvisit_lBlock_S_r" /><h2 >Member function Synopsis::PTree::Display::visit&#40;Block*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#visit_lBlock_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#32">Synopsis/PTree/Display.hh:32</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mvisit_lBrace_S_r" /><h2 >Member function Synopsis::PTree::Display::visit&#40;Brace*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#visit_lBrace_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#31">Synopsis/PTree/Display.hh:31</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mvisit_lClassBody_S_r" /><h2 >Member function Synopsis::PTree::Display::visit&#40;ClassBody*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#visit_lClassBody_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#33">Synopsis/PTree/Display.hh:33</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mvisit_lDeclarator_S_r" /><h2 >Member function Synopsis::PTree::Display::visit&#40;Declarator*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#visit_lDeclarator_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#34">Synopsis/PTree/Display.hh:34</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mvisit_lDupAtom_S_r" /><h2 >Member function Synopsis::PTree::Display::visit&#40;DupAtom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#visit_lDupAtom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#29">Synopsis/PTree/Display.hh:29</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mvisit_lFstyleCastExpr_S_r" /><h2 >Member function Synopsis::PTree::Display::visit&#40;FstyleCastExpr*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#visit_lFstyleCastExpr_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#36">Synopsis/PTree/Display.hh:36</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mvisit_lList_S_r" /><h2 >Member function Synopsis::PTree::Display::visit&#40;List*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#visit_lList_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#27">Synopsis/PTree/Display.hh:27</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDisplay_mvisit_lName_S_r" /><h2 >Member function Synopsis::PTree::Display::visit&#40;Name*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Display.html#visit_lName_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#35">Synopsis/PTree/Display.hh:35</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDoStatement" /><h2 >Class Synopsis::PTree::DoStatement</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DoStatement.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#288">Synopsis/PTree/Lists.hh:288</a>: in class <a href="../Scopes/Synopsis/PTree/DoStatement.html" >Synopsis::PTree::DoStatement</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#288">Synopsis/PTree/Lists.hh:288</a>: in class <a href="../Scopes/Synopsis/PTree/DoStatement.html" >Synopsis::PTree::DoStatement</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#53">Synopsis/PTree/TypeVisitor.hh:53</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#150">Synopsis/PTree/Visitor.hh:150</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#291">Synopsis/PTree/Lists.hh:291</a>: Constructor <a href="../Scopes/Synopsis/PTree/DoStatement.html#DoStatement_lNode_S_cNode_S_r" >DoStatement&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDoStatement_mDoStatement_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::DoStatement::DoStatement&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DoStatement.html#DoStatement_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#291">Synopsis/PTree/Lists.hh:291</a>: in class <a href="../Scopes/Synopsis/PTree/DoStatement.html" >Synopsis::PTree::DoStatement</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDotFileGenerator" /><h2 >Class Synopsis::PTree::DotFileGenerator</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DotFileGenerator.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#65">Synopsis/PTree/Display.hh:65</a>: in class <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html" >Synopsis::PTree::DotFileGenerator</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#99">Synopsis/PTree/Display.hh:99</a>: in Synopsis::PTree::generate_dot_file&#40;const Node*&#44;std</li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Display.hh.html#68">Synopsis/PTree/Display.hh:68</a>: Constructor <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html#DotFileGenerator_lstd_mostream_A_r" >DotFileGenerator&#40;std::ostream&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#69">Synopsis/PTree/Display.hh:69</a>: Member function <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html#write_lconst.Node_S_r" >write&#40;const Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#71">Synopsis/PTree/Display.hh:71</a>: Member function <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html#visit_lAtom_S_r" >visit&#40;Atom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#72">Synopsis/PTree/Display.hh:72</a>: Member function <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html#visit_lList_S_r" >visit&#40;List*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Display.hh.html#74">Synopsis/PTree/Display.hh:74</a>: Data member <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html#my_os" >my_os</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDotFileGenerator_mDotFileGenerator_lstd_mostream_A_r" /><h2 >Synopsis::PTree::DotFileGenerator::DotFileGenerator&#40;std::ostream&amp;&#41;</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#68">Synopsis/PTree/Display.hh:68</a>: in class <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html" >Synopsis::PTree::DotFileGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDotFileGenerator_mmy_os" /><h2 >Data member Synopsis::PTree::DotFileGenerator::my_os</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DotFileGenerator.html#my_os" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#74">Synopsis/PTree/Display.hh:74</a>: in class <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html" >Synopsis::PTree::DotFileGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDotFileGenerator_mvisit_lAtom_S_r" /><h2 >Member function Synopsis::PTree::DotFileGenerator::visit&#40;Atom*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DotFileGenerator.html#visit_lAtom_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#71">Synopsis/PTree/Display.hh:71</a>: in class <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html" >Synopsis::PTree::DotFileGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDotFileGenerator_mvisit_lList_S_r" /><h2 >Member function Synopsis::PTree::DotFileGenerator::visit&#40;List*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DotFileGenerator.html#visit_lList_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#72">Synopsis/PTree/Display.hh:72</a>: in class <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html" >Synopsis::PTree::DotFileGenerator</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDotFileGenerator_mwrite_lconst.Node_S_r" /><h2 >Member function Synopsis::PTree::DotFileGenerator::write&#40;const Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DotFileGenerator.html#write_lconst.Node_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#69">Synopsis/PTree/Display.hh:69</a>: in class <a href="../Scopes/Synopsis/PTree/DotFileGenerator.html" >Synopsis::PTree::DotFileGenerator</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#100">Synopsis/PTree/Display.hh:100</a>: in Synopsis::PTree::generate_dot_file&#40;const Node*&#44;std</li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDotMemberExpr" /><h2 >Class Synopsis::PTree::DotMemberExpr</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DotMemberExpr.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#471">Synopsis/PTree/Lists.hh:471</a>: in class <a href="../Scopes/Synopsis/PTree/DotMemberExpr.html" >Synopsis::PTree::DotMemberExpr</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#471">Synopsis/PTree/Lists.hh:471</a>: in class <a href="../Scopes/Synopsis/PTree/DotMemberExpr.html" >Synopsis::PTree::DotMemberExpr</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#80">Synopsis/PTree/TypeVisitor.hh:80</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#195">Synopsis/PTree/Visitor.hh:195</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Walker.hh.html#35">Synopsis/SymbolLookup/Walker.hh:35</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Walker.html" >Synopsis::SymbolLookup::Walker</a></li>
<li><a href="../Source/Synopsis/TypeAnalysis/TypeEvaluator.hh.html#49">Synopsis/TypeAnalysis/TypeEvaluator.hh:49</a>: in class <a href="../Scopes/Synopsis/TypeAnalysis/TypeEvaluator.html" >Synopsis::TypeAnalysis::TypeEvaluator</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#474">Synopsis/PTree/Lists.hh:474</a>: Constructor <a href="../Scopes/Synopsis/PTree/DotMemberExpr.html#DotMemberExpr_lNode_S_cNode_S_r" >DotMemberExpr&#40;Node*&#44;Node*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDotMemberExpr_mDotMemberExpr_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::DotMemberExpr::DotMemberExpr&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DotMemberExpr.html#DotMemberExpr_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#474">Synopsis/PTree/Lists.hh:474</a>: in class <a href="../Scopes/Synopsis/PTree/DotMemberExpr.html" >Synopsis::PTree::DotMemberExpr</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDupAtom" /><h2 >Class Synopsis::PTree::DupAtom</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DupAtom.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#44">Synopsis/PTree/Atoms.hh:44</a>: in class <a href="../Scopes/Synopsis/PTree/DupAtom.html" >Synopsis::PTree::DupAtom</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#29">Synopsis/PTree/Display.hh:29</a>: in class <a href="../Scopes/Synopsis/PTree/Display.html" >Synopsis::PTree::Display</a></li>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#56">Synopsis/PTree/Display.hh:56</a>: in class <a href="../Scopes/Synopsis/PTree/RTTIDisplay.html" >Synopsis::PTree::RTTIDisplay</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#33">Synopsis/PTree/Visitor.hh:33</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#47">Synopsis/PTree/Atoms.hh:47</a>: Constructor <a href="../Scopes/Synopsis/PTree/DupAtom.html#DupAtom_lconst.char_S_csize_t_r" >DupAtom&#40;const char*&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#48">Synopsis/PTree/Atoms.hh:48</a>: Constructor <a href="../Scopes/Synopsis/PTree/DupAtom.html#DupAtom_lconst.char_S_csize_t_cconst.char_S_csize_t_r" >DupAtom&#40;const char*&#44;size_t&#44;const char*&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Atoms.hh.html#49">Synopsis/PTree/Atoms.hh:49</a>: Member function <a href="../Scopes/Synopsis/PTree/DupAtom.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDupAtom_mDupAtom_lconst.char_S_csize_t_r" /><h2 >Constructor Synopsis::PTree::DupAtom::DupAtom&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DupAtom.html#DupAtom_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#47">Synopsis/PTree/Atoms.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/DupAtom.html" >Synopsis::PTree::DupAtom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDupAtom_mDupAtom_lconst.char_S_csize_t_cconst.char_S_csize_t_r" /><h2 >Constructor Synopsis::PTree::DupAtom::DupAtom&#40;const char*&#44;size_t&#44;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DupAtom.html#DupAtom_lconst.char_S_csize_t_cconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#48">Synopsis/PTree/Atoms.hh:48</a>: in class <a href="../Scopes/Synopsis/PTree/DupAtom.html" >Synopsis::PTree::DupAtom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mDupAtom_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::DupAtom::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/DupAtom.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#49">Synopsis/PTree/Atoms.hh:49</a>: in class <a href="../Scopes/Synopsis/PTree/DupAtom.html" >Synopsis::PTree::DupAtom</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mEncoding" /><h2 >Class Synopsis::PTree::Encoding</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Encoding.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#67">Synopsis/PTree/Encoding.hh:67</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#108">Synopsis/PTree/Encoding.hh:108</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#122">Synopsis/PTree/Encoding.hh:122</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#128">Synopsis/PTree/Encoding.hh:128</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#132">Synopsis/PTree/Encoding.hh:132</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#134">Synopsis/PTree/Encoding.hh:134</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#144">Synopsis/PTree/Encoding.hh:144</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#148">Synopsis/PTree/Encoding.hh:148</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#149">Synopsis/PTree/Encoding.hh:149</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#152">Synopsis/PTree/Encoding.hh:152</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#153">Synopsis/PTree/Encoding.hh:153</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#163">Synopsis/PTree/Encoding.hh:163</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#167">Synopsis/PTree/Encoding.hh:167</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#168">Synopsis/PTree/Encoding.hh:168</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#182">Synopsis/PTree/Encoding.hh:182</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#182">Synopsis/PTree/Encoding.hh:182</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#183">Synopsis/PTree/Encoding.hh:183</a>: in class <a href="../Scopes/Synopsis/PTree/Encoding.html" >Synopsis::PTree::Encoding</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#205">Synopsis/PTree/Encoding.hh:205</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#205">Synopsis/PTree/Encoding.hh:205</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#210">Synopsis/PTree/Encoding.hh:210</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#152">Synopsis/PTree/Lists.hh:152</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#152">Synopsis/PTree/Lists.hh:152</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#153">Synopsis/PTree/Lists.hh:153</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#153">Synopsis/PTree/Lists.hh:153</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#154">Synopsis/PTree/Lists.hh:154</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#154">Synopsis/PTree/Lists.hh:154</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#155">Synopsis/PTree/Lists.hh:155</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#156">Synopsis/PTree/Lists.hh:156</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#160">Synopsis/PTree/Lists.hh:160</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#161">Synopsis/PTree/Lists.hh:161</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#162">Synopsis/PTree/Lists.hh:162</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#168">Synopsis/PTree/Lists.hh:168</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#169">Synopsis/PTree/Lists.hh:169</a>: in class <a href="../Scopes/Synopsis/PTree/Declarator.html" >Synopsis::PTree::Declarator</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#177">Synopsis/PTree/Lists.hh:177</a>: in class <a href="../Scopes/Synopsis/PTree/Name.html" >Synopsis::PTree::Name</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#179">Synopsis/PTree/Lists.hh:179</a>: in class <a href="../Scopes/Synopsis/PTree/Name.html" >Synopsis::PTree::Name</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#181">Synopsis/PTree/Lists.hh:181</a>: in class <a href="../Scopes/Synopsis/PTree/Name.html" >Synopsis::PTree::Name</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#187">Synopsis/PTree/Lists.hh:187</a>: in class <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Synopsis::PTree::FstyleCastExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#189">Synopsis/PTree/Lists.hh:189</a>: in class <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Synopsis::PTree::FstyleCastExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#191">Synopsis/PTree/Lists.hh:191</a>: in class <a href="../Scopes/Synopsis/PTree/FstyleCastExpr.html" >Synopsis::PTree::FstyleCastExpr</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#198">Synopsis/PTree/Lists.hh:198</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#200">Synopsis/PTree/Lists.hh:200</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#201">Synopsis/PTree/Lists.hh:201</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#209">Synopsis/PTree/Lists.hh:209</a>: in class <a href="../Scopes/Synopsis/PTree/ClassSpec.html" >Synopsis::PTree::ClassSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#218">Synopsis/PTree/Lists.hh:218</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#219">Synopsis/PTree/Lists.hh:219</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#221">Synopsis/PTree/Lists.hh:221</a>: in class <a href="../Scopes/Synopsis/PTree/EnumSpec.html" >Synopsis::PTree::EnumSpec</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#46">Synopsis/PTree/Node.hh:46</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#47">Synopsis/PTree/Node.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/Node.html" >Synopsis::PTree::Node</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#93">Synopsis/Parser.hh:93</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#135">Synopsis/Parser.hh:135</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#136">Synopsis/Parser.hh:136</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#137">Synopsis/Parser.hh:137</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#165">Synopsis/Parser.hh:165</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#166">Synopsis/Parser.hh:166</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#170">Synopsis/Parser.hh:170</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#171">Synopsis/Parser.hh:171</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#173">Synopsis/Parser.hh:173</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#173">Synopsis/Parser.hh:173</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#176">Synopsis/Parser.hh:176</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#176">Synopsis/Parser.hh:176</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#178">Synopsis/Parser.hh:178</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#182">Synopsis/Parser.hh:182</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#183">Synopsis/Parser.hh:183</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#184">Synopsis/Parser.hh:184</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#185">Synopsis/Parser.hh:185</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#186">Synopsis/Parser.hh:186</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#189">Synopsis/Parser.hh:189</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#190">Synopsis/Parser.hh:190</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#198">Synopsis/Parser.hh:198</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#204">Synopsis/Parser.hh:204</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#206">Synopsis/Parser.hh:206</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#331">Synopsis/Parser.hh:331</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#376">Synopsis/Parser.hh:376</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#383">Synopsis/Parser.hh:383</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#441">Synopsis/Parser.hh:441</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/Parser.hh.html#442">Synopsis/Parser.hh:442</a>: in class <a href="../Scopes/Synopsis/Parser.html" >Synopsis::Parser</a></li>
<li><a href="../Source/Synopsis/SymbolFactory.hh.html#62">Synopsis/SymbolFactory.hh:62</a>: in class <a href="../Scopes/Synopsis/SymbolFactory.html" >Synopsis::SymbolFactory</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Display.hh.html#22">Synopsis/SymbolLookup/Display.hh:22</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/SymbolDisplay.html" >Synopsis::SymbolLookup::SymbolDisplay</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#20">Synopsis/SymbolLookup/Scope.hh:20</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#20">Synopsis/SymbolLookup/Scope.hh:20</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#24">Synopsis/SymbolLookup/Scope.hh:24</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#25">Synopsis/SymbolLookup/Scope.hh:25</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/TypeError.html" >Synopsis::SymbolLookup::TypeError</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#30">Synopsis/SymbolLookup/Scope.hh:30</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#34">Synopsis/SymbolLookup/Scope.hh:34</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/Undefined.html" >Synopsis::SymbolLookup::Undefined</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#40">Synopsis/SymbolLookup/Scope.hh:40</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#46">Synopsis/SymbolLookup/Scope.hh:46</a>: in struct <a href="../Scopes/Synopsis/SymbolLookup/MultiplyDefined.html" >Synopsis::SymbolLookup::MultiplyDefined</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#71">Synopsis/SymbolLookup/Scope.hh:71</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#107">Synopsis/SymbolLookup/Scope.hh:107</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#122">Synopsis/SymbolLookup/Scope.hh:122</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#130">Synopsis/SymbolLookup/Scope.hh:130</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#136">Synopsis/SymbolLookup/Scope.hh:136</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#138">Synopsis/SymbolLookup/Scope.hh:138</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scope.hh.html#140">Synopsis/SymbolLookup/Scope.hh:140</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Scope.html" >Synopsis::SymbolLookup::Scope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#50">Synopsis/SymbolLookup/Scopes.hh:50</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TemplateParameterScope.html" >Synopsis::SymbolLookup::TemplateParameterScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#72">Synopsis/SymbolLookup/Scopes.hh:72</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/LocalScope.html" >Synopsis::SymbolLookup::LocalScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#92">Synopsis/SymbolLookup/Scopes.hh:92</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#94">Synopsis/SymbolLookup/Scopes.hh:94</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionScope.html" >Synopsis::SymbolLookup::FunctionScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#124">Synopsis/SymbolLookup/Scopes.hh:124</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/PrototypeScope.html" >Synopsis::SymbolLookup::PrototypeScope</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#155">Synopsis/SymbolLookup/Scopes.hh:155</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Class.html" >Synopsis::SymbolLookup::Class</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#186">Synopsis/SymbolLookup/Scopes.hh:186</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#188">Synopsis/SymbolLookup/Scopes.hh:188</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#203">Synopsis/SymbolLookup/Scopes.hh:203</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Scopes.hh.html#205">Synopsis/SymbolLookup/Scopes.hh:205</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Namespace.html" >Synopsis::SymbolLookup::Namespace</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#56">Synopsis/SymbolLookup/Symbol.hh:56</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#60">Synopsis/SymbolLookup/Symbol.hh:60</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#65">Synopsis/SymbolLookup/Symbol.hh:65</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/Symbol.html" >Synopsis::SymbolLookup::Symbol</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#74">Synopsis/SymbolLookup/Symbol.hh:74</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/VariableName.html" >Synopsis::SymbolLookup::VariableName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#83">Synopsis/SymbolLookup/Symbol.hh:83</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#86">Synopsis/SymbolLookup/Symbol.hh:86</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ConstName.html" >Synopsis::SymbolLookup::ConstName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#100">Synopsis/SymbolLookup/Symbol.hh:100</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypeName.html" >Synopsis::SymbolLookup::TypeName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#109">Synopsis/SymbolLookup/Symbol.hh:109</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/TypedefName.html" >Synopsis::SymbolLookup::TypedefName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#117">Synopsis/SymbolLookup/Symbol.hh:117</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassName.html" >Synopsis::SymbolLookup::ClassName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#129">Synopsis/SymbolLookup/Symbol.hh:129</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/EnumName.html" >Synopsis::SymbolLookup::EnumName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#137">Synopsis/SymbolLookup/Symbol.hh:137</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" >Synopsis::SymbolLookup::ClassTemplateName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#150">Synopsis/SymbolLookup/Symbol.hh:150</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionName.html" >Synopsis::SymbolLookup::FunctionName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#163">Synopsis/SymbolLookup/Symbol.hh:163</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" >Synopsis::SymbolLookup::FunctionTemplateName</a></li>
<li><a href="../Source/Synopsis/SymbolLookup/Symbol.hh.html#175">Synopsis/SymbolLookup/Symbol.hh:175</a>: in class <a href="../Scopes/Synopsis/SymbolLookup/NamespaceName.html" >Synopsis::SymbolLookup::NamespaceName</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#70">Synopsis/PTree/Encoding.hh:70</a>: Struct <a href="../Scopes/Synopsis/PTree/Encoding/char_traits.html" >char_traits</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#98">Synopsis/PTree/Encoding.hh:98</a>: Typedef <a href="../Scopes/Synopsis/PTree/Encoding.html#Code" >Code</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#99">Synopsis/PTree/Encoding.hh:99</a>: Typedef <a href="../Scopes/Synopsis/PTree/Encoding.html#iterator" >iterator</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#101">Synopsis/PTree/Encoding.hh:101</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#do_init_static_l_r" >do_init_static&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#103">Synopsis/PTree/Encoding.hh:103</a>: Constructor <a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_l_r" >Encoding&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#104">Synopsis/PTree/Encoding.hh:104</a>: Constructor <a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_lconst.Code_A_r" >Encoding&#40;const Code&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#105">Synopsis/PTree/Encoding.hh:105</a>: Constructor <a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_lconst.char_S_r" >Encoding&#40;const char*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#106">Synopsis/PTree/Encoding.hh:106</a>: Constructor <a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_lconst.char_S_csize_t_r" >Encoding&#40;const char*&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#107">Synopsis/PTree/Encoding.hh:107</a>: Constructor <a href="../Scopes/Synopsis/PTree/Encoding.html#Encoding_literator_citerator_r" >Encoding&#40;iterator&#44;iterator&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#108">Synopsis/PTree/Encoding.hh:108</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#simple_name_lconst.Atom_S_r" >simple_name&#40;const Atom*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#110">Synopsis/PTree/Encoding.hh:110</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#clear_l_r" >clear&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#111">Synopsis/PTree/Encoding.hh:111</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#empty_l_rconst" >empty&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#112">Synopsis/PTree/Encoding.hh:112</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#size_l_rconst" >size&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#113">Synopsis/PTree/Encoding.hh:113</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#begin_l_rconst" >begin&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#114">Synopsis/PTree/Encoding.hh:114</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#end_l_rconst" >end&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#115">Synopsis/PTree/Encoding.hh:115</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#front_l_rconst" >front&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#116">Synopsis/PTree/Encoding.hh:116</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#at_lsize_t_rconst" >at&#40;size_t&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#120">Synopsis/PTree/Encoding.hh:120</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#copy_l_rconst" >copy&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#122">Synopsis/PTree/Encoding.hh:122</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.Encoding_A_rconst" >operator==&#40;const Encoding&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#123">Synopsis/PTree/Encoding.hh:123</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.std_mstring_A_rconst" >operator==&#40;const std::string&amp;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#124">Synopsis/PTree/Encoding.hh:124</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#operator_e_e_lconst.char_S_rconst" >operator==&#40;const char*&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#126">Synopsis/PTree/Encoding.hh:126</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lunsigned.char_r" >prepend&#40;unsigned char&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#127">Synopsis/PTree/Encoding.hh:127</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lconst.char_S_csize_t_r" >prepend&#40;const char*&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#128">Synopsis/PTree/Encoding.hh:128</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#prepend_lconst.Encoding_A_r" >prepend&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#130">Synopsis/PTree/Encoding.hh:130</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lunsigned.char_r" >append&#40;unsigned char&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#131">Synopsis/PTree/Encoding.hh:131</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lconst.char_S_csize_t_r" >append&#40;const char*&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#132">Synopsis/PTree/Encoding.hh:132</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_lconst.Encoding_A_r" >append&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#133">Synopsis/PTree/Encoding.hh:133</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_with_length_lconst.char_S_csize_t_r" >append_with_length&#40;const char*&#44;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#134">Synopsis/PTree/Encoding.hh:134</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#append_with_length_lconst.Encoding_A_r" >append_with_length&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#136">Synopsis/PTree/Encoding.hh:136</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_l_r" >pop&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#137">Synopsis/PTree/Encoding.hh:137</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#pop_lsize_t_r" >pop&#40;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#139">Synopsis/PTree/Encoding.hh:139</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#cv_qualify_lconst.Node_S_cconst.Node_S_r" >cv_qualify&#40;const Node*&#44;const Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#140">Synopsis/PTree/Encoding.hh:140</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#simple_const_l_r" >simple_const&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#141">Synopsis/PTree/Encoding.hh:141</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#global_scope_l_r" >global_scope&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#142">Synopsis/PTree/Encoding.hh:142</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#simple_name_lconst.Node_S_r" >simple_name&#40;const Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#143">Synopsis/PTree/Encoding.hh:143</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#anonymous_l_r" >anonymous&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#144">Synopsis/PTree/Encoding.hh:144</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#template__lconst.Node_S_cconst.Encoding_A_r" >template_&#40;const Node*&#44;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#145">Synopsis/PTree/Encoding.hh:145</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#qualified_lint_r" >qualified&#40;int&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#146">Synopsis/PTree/Encoding.hh:146</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#destructor_lconst.Node_S_r" >destructor&#40;const Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#147">Synopsis/PTree/Encoding.hh:147</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#ptr_operator_lint_r" >ptr_operator&#40;int&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#148">Synopsis/PTree/Encoding.hh:148</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#ptr_to_member_lconst.Encoding_A_cint_r" >ptr_to_member&#40;const Encoding&amp;&#44;int&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#149">Synopsis/PTree/Encoding.hh:149</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#cast_operator_lconst.Encoding_A_r" >cast_operator&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#150">Synopsis/PTree/Encoding.hh:150</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#array_l_r" >array&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#151">Synopsis/PTree/Encoding.hh:151</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#array_lunsigned.long_r" >array&#40;unsigned long&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#152">Synopsis/PTree/Encoding.hh:152</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#function_lconst.Encoding_A_r" >function&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#153">Synopsis/PTree/Encoding.hh:153</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#recursion_lconst.Encoding_A_r" >recursion&#40;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#154">Synopsis/PTree/Encoding.hh:154</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#start_func_args_l_r" >start_func_args&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#155">Synopsis/PTree/Encoding.hh:155</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#end_func_args_l_r" >end_func_args&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#156">Synopsis/PTree/Encoding.hh:156</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#void__l_r" >void_&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#157">Synopsis/PTree/Encoding.hh:157</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#ellipsis_arg_l_r" >ellipsis_arg&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#158">Synopsis/PTree/Encoding.hh:158</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#no_return_type_l_r" >no_return_type&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#159">Synopsis/PTree/Encoding.hh:159</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#value_temp_param_l_r" >value_temp_param&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#163">Synopsis/PTree/Encoding.hh:163</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#get_scope_l_rconst" >get_scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#167">Synopsis/PTree/Encoding.hh:167</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#get_symbol_l_rconst" >get_symbol&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#168">Synopsis/PTree/Encoding.hh:168</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#get_template_arguments_l_rconst" >get_template_arguments&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#170">Synopsis/PTree/Encoding.hh:170</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#unmangled_l_rconst" >unmangled&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#172">Synopsis/PTree/Encoding.hh:172</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#make_name_l_r" >make_name&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#173">Synopsis/PTree/Encoding.hh:173</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#make_qname_l_r" >make_qname&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#174">Synopsis/PTree/Encoding.hh:174</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#make_ptree_lNode_S_r" >make_ptree&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#175">Synopsis/PTree/Encoding.hh:175</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_simple_name_l_rconst" >is_simple_name&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#176">Synopsis/PTree/Encoding.hh:176</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_global_scope_l_rconst" >is_global_scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#177">Synopsis/PTree/Encoding.hh:177</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_qualified_l_rconst" >is_qualified&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#178">Synopsis/PTree/Encoding.hh:178</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_function_l_rconst" >is_function&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#179">Synopsis/PTree/Encoding.hh:179</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#is_template_l_rconst" >is_template&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#180">Synopsis/PTree/Encoding.hh:180</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#name_to_ptree_l_r" >name_to_ptree&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#182">Synopsis/PTree/Encoding.hh:182</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#operator_L_lconst.Encoding_A_cconst.Encoding_A_r" >operator&lt;&#40;const Encoding&amp;&#44;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#183">Synopsis/PTree/Encoding.hh:183</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#operator_L_L_lstd_mostream_A_cconst.Encoding_A_r" >operator&lt;&lt;&#40;std::ostream&amp;&#44;const Encoding&amp;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#187">Synopsis/PTree/Encoding.hh:187</a>: Member function <a href="../Scopes/Synopsis/PTree/Encoding.html#end_of_scope_l_rconst" >end_of_scope&#40;&#41;const</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#189">Synopsis/PTree/Encoding.hh:189</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#my_buffer" >my_buffer</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#bool_t" >bool_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#char_t" >char_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#wchar_t_t" >wchar_t_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#int_t" >int_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#short_t" >short_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#long_t" >long_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#192">Synopsis/PTree/Encoding.hh:192</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#float_t" >float_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#193">Synopsis/PTree/Encoding.hh:193</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#double_t" >double_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#193">Synopsis/PTree/Encoding.hh:193</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#void_t" >void_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#195">Synopsis/PTree/Encoding.hh:195</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#signed_t" >signed_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#195">Synopsis/PTree/Encoding.hh:195</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#unsigned_t" >unsigned_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#195">Synopsis/PTree/Encoding.hh:195</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#const_t" >const_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#195">Synopsis/PTree/Encoding.hh:195</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#volatile_t" >volatile_t</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#197">Synopsis/PTree/Encoding.hh:197</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#operator_name" >operator_name</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#197">Synopsis/PTree/Encoding.hh:197</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#new_operator" >new_operator</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#197">Synopsis/PTree/Encoding.hh:197</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#anew_operator" >anew_operator</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#197">Synopsis/PTree/Encoding.hh:197</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#delete_operator" >delete_operator</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#198">Synopsis/PTree/Encoding.hh:198</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#adelete_operator" >adelete_operator</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#star" >star</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#ampersand" >ampersand</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#comma" >comma</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#dots" >dots</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#scope" >scope</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#tilder" >tilder</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#200">Synopsis/PTree/Encoding.hh:200</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#left_paren" >left_paren</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#201">Synopsis/PTree/Encoding.hh:201</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#right_paren" >right_paren</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#201">Synopsis/PTree/Encoding.hh:201</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#left_bracket" >left_bracket</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#201">Synopsis/PTree/Encoding.hh:201</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#right_bracket" >right_bracket</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#201">Synopsis/PTree/Encoding.hh:201</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#left_angle" >left_angle</a></li><li ><a href="../Source/Synopsis/PTree/Encoding.hh.html#202">Synopsis/PTree/Encoding.hh:202</a>: Data member <a href="../Scopes/Synopsis/PTree/Encoding.html#right_angle" >right_angle</a></li></ul>
</li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
